/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *  
 *    http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License. 
 *  
 */

package org.apache.directory.ldapstudio.schemas.view;


/**
 * This class is used to define path for images
 */
public interface IImageKeys
{
    // Images for Actions
    public static final String ABOUT = "ressources/icons/flag_blue.png"; //$NON-NLS-1$
    public static final String CREATE_A_NEW_SCHEMA = "ressources/icons/schema_new.png"; //$NON-NLS-1$
    public static final String REMOVE_SCHEMA = "ressources/icons/schema_remove.png"; //$NON-NLS-1$
    public static final String CREATE_A_NEW_OBJECTCLASS = "ressources/icons/object_class_new.gif"; //$NON-NLS-1$
    public static final String CREATE_A_NEW_ATTRIBUTETYPE = "ressources/icons/attribute_type_new.gif"; //$NON-NLS-1$
    public static final String DELETE = "ressources/icons/delete.gif"; //$NON-NLS-1$
    public static final String EXIT = "ressources/icons/stop.png"; //$NON-NLS-1$
    public static final String OPEN_LOCAL = "ressources/icons/open.png"; //$NON-NLS-1$
    public static final String SAVE = "ressources/icons/save.gif"; //$NON-NLS-1$
    public static final String SAVE_AS = "ressources/icons/save_as.png"; //$NON-NLS-1$
    public static final String SAVE_ALL = "ressources/icons/save_all.png"; //$NON-NLS-1$
    public static final String SORT_ALPHABETICAL = "ressources/icons/sort_alphabetical.gif"; //$NON-NLS-1$
    public static final String SORT_UNALPHABETICAL = "ressources/icons/sort_unalphabetical.gif"; //$NON-NLS-1$
    public static final String SHOW_PREFERENCES = "ressources/icons/preferences.png"; //$NON-NLS-1$
    public static final String LINK_WITH_EDITOR = "ressources/icons/link_with_editor.gif"; //$NON-NLS-1$

    // Images for Views
    public static final String FOLDER_ATTRIBUTE_TYPE = "ressources/icons/folder_at.gif"; //$NON-NLS-1$
    public static final String FOLDER_OBJECT_CLASS = "ressources/icons/folder_oc.gif"; //$NON-NLS-1$
    public static final String ATTRIBUTE_TYPE = "ressources/icons/attribute_type.gif"; //$NON-NLS-1$
    public static final String OBJECT_CLASS = "ressources/icons/object_class.gif"; //$NON-NLS-1$
    public static final String OBJECT_CLASS_WARNING = "ressources/icons/object_class_warning.gif"; //$NON-NLS-1$
    public static final String SCHEMA = "ressources/icons/schema.gif"; //$NON-NLS-1$
    public static final String SCHEMA_CORE = "ressources/icons/schema_core.gif"; //$NON-NLS-1$
    
    // Images for Wizards
    public static final String ATTRIBUTE_TYPE_NEW_WIZARD = "ressources/icons/attribute_type_new_wizard.png"; //$NON-NLS-1$
    public static final String OBJECT_CLASS_NEW_WIZARD = "ressources/icons/object_class_new_wizard.png"; //$NON-NLS-1$
    public static final String SCHEMA_NEW_WIZARD = "ressources/icons/schema_new_wizard.png"; //$NON-NLS-1$
}
