/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *  
 *    http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License. 
 *  
 */

package org.apache.directory.ldapstudio.schemas.view.editors;


import org.apache.directory.ldapstudio.schemas.controller.Application;
import org.apache.directory.ldapstudio.schemas.model.SchemaElement;
import org.apache.directory.ldapstudio.schemas.view.IImageKeys;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.plugin.AbstractUIPlugin;


public class AttributeTypeSelectionDialogLabelProvider extends LabelProvider implements ITableLabelProvider
{

    public Image getColumnImage( Object element, int columnIndex )
    {
        if ( columnIndex == 0 )
        {
            return AbstractUIPlugin.imageDescriptorFromPlugin( Application.PLUGIN_ID, IImageKeys.ATTRIBUTE_TYPE )
                .createImage();
        }
        return null;
    }


    public String getColumnText( Object element, int columnIndex )
    {
        String result = ""; //$NON-NLS-1$
        if ( element instanceof SchemaElement )
        {
            SchemaElement schemaElement = ( SchemaElement ) element;
            switch ( columnIndex )
            {
                case 0: // COMPLETED_COLUMN
                    break;
                case 1:
                    result = schemaElement.getNames()[0];
                    break;
                case 2:
                    result = schemaElement.getOriginatingSchema().getName();
                    break;
                default:
                    break;
            }
        }
        return result;
    }
}
